[PATCH v3 6/7] test: check if emacs is available in the beginning of test_emacs

Subject: [PATCH v3 6/7] test: check if emacs is available in the beginning of test_emacs

Date: Sun, 27 Nov 2011 22:36:18 +0400

To: notmuch@notmuchmail.org

Cc:

From: Dmitry Kurochkin


Unfortunately, this is needed to avoid the emacs waiting loop.
---
 test/test-lib.sh |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/test/test-lib.sh b/test/test-lib.sh
index 2422e32..11e6646 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -894,6 +894,10 @@ EOF
 }
 
 test_emacs () {
+	# test dependencies beforehand to avoid the waiting loop below
+	test_require_external_prereq emacs || return
+	test_require_external_prereq emacsclient || return
+
 	if [ -z "$EMACS_SERVER" ]; then
 		server_name="notmuch-test-suite-$$"
 		# start a detached session with an emacs server
-- 
1.7.7.3


Thread: